var Cylinder;
var myChart4
function Cylinder1(data, datavalue ,sleepBegin ,sleepEnd) {
	var dom = document.getElementById("Cylinder");
	myChart4 = echarts.init(dom);
	
	Cylinder = {
		calculable: false,
		grid: {
			x: 50,
			x2: 30,
			y: 25,
			height: 130
		},

		tooltip: {
			trigger: 'axis',
			position: function (point, params, dom, rect, size) {
			    return ['85%', 0];
			},  
			formatter: function(e) {
				var data = ''
				if (e[0].data == 1) {
					data = '清醒'
				} else if (e[0].data == 2) {
					data = '浅睡'
				} else if (e[0].data == 3) {
					data = '中睡'
				} else if (e[0].data == 4) {
					data = '深睡'
				} else {
					data = '离线'
				}
				return e[0].axisValue + '<br/>' + e[0].marker + data
			},
			extraCssText:'font-size: 9px;font-wight:0'
		},
		xAxis: [{
			type: 'category',
			data: data,
			axisLabel: {
				show: true,
				textStyle: {
					color: '#545454',
					fontSize: 9,
				},
			},
			axisLine: {
				lineStyle: {
					color: '#BFBFBF'
				},
			},
		}],
		yAxis: [{
				show: false,
				type: 'value',
				min: 0,
				max: 4,
				interval: 1,
				axisLabel: {
					formatter: '{value}'
				},
				position: "right",
			},
			{
				type: 'category',
				data: [' ', '清醒', '浅睡', '中睡', '深睡'],
				boundaryGap: false,
				position: "left",

				axisLabel: {
					show: true,
					textStyle: {
						color: function(params) {
							if (params == '清醒') {
								return "#FFC25F";
							} else if (params == '浅睡') {
								return "#6EE7CA";
							} else if (params == '中睡') {
								return "#6BCAFF";
							} else if (params == '深睡') {
								return "#49A8FF";
							}
							return "#49A8FF";
						}
					}
				},
				axisLine: {
					lineStyle: {
						color: '#fff'

					},
				},
				splitLine: {
					show: true,
					lineStyle: {
						color: ['#BFBFBF'],
						width: 1,
						type: 'dotted'
					}
				},
			}
		],

		dataZoom: [{
			startValue: sleepBegin,
			endValue:sleepEnd,
			show:false,
		}, {
			type: 'inside',
			show:false,
			zoomOnMouseWheel:false,
			moveOnMouseMove:false
		}],
		series: [{
			type: 'bar',
			barGap: 0,
			barCategoryGap: 0, // 柱形的宽度
			data: datavalue,
			itemStyle: {
				normal: {
					///  通过params.value拿到对应的data里面的数据
					color: function(params) {
						if (params.value == 1) {
							return "#FFC25F";
						} else if (params.value == 2) {
							return "#6EE7CA";
						} else if (params.value == 3) {
							return "#6BCAFF";
						} else if (params.value == 4) {
							return "#49A8FF";
						}
						return "#49A8FF";
					}
				}
			}
		}]
	};
	if (Cylinder && typeof Cylinder === "object") {
		myChart4.setOption(Cylinder, true);
		
	}
}
