var u = navigator.userAgent;
var isIPhoneX = /iphone/gi.test(window.navigator.userAgent) && window.devicePixelRatio && window.devicePixelRatio ===
	3  && window.screen.height >= 812;
var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端



/**
 * 发送台灯LED灯需要的参数
 * 
 * */
var currentVal = {
	white: {
		"type": decimal2Hex(01),
		"lightPercent": decimal2Hex(30),
		"colorTemp": decimal2Hex(25),
		"colorR": decimal2Hex(0),
		"colorG": decimal2Hex(0),
		"colorB": decimal2Hex(0)
	},
	color: {
		"type": decimal2Hex(02),
		"lightPercent": decimal2Hex(30),
		"colorTemp": decimal2Hex(0),
		"colorR": decimal2Hex(250),
		"colorG": decimal2Hex(0),
		"colorB": decimal2Hex(0)
	},
	gradient: {
		"type": decimal2Hex(03),
		"lightPercent": decimal2Hex(30),
		"colorTemp": decimal2Hex(0),
		"colorR": decimal2Hex(0),
		"colorG": decimal2Hex(0),
		"colorB": decimal2Hex(0)
	}
}

/**
 * 10进制转16
 * @param {*参数} decimal 
 */
function decimal2Hex(decimal) {
	var integer = Number(decimal);
	var hex = integer.toString(16);
	if (hex.length === 1) {
		return '0' + hex;
	} else if (hex.length === 2) {
		return '' + hex;
	} else {
		return '00';
	}
};

var iot = {};
/***
 * 数组转字符串
 * @param {Object} tArray
 */
iot.arrayToString = function(tArray) {

	var str = "";
	for (var i = 0; i < tArray.length; i++) {
		str += tArray[i];
	}
	return str;
}



// 截取当前url指定参数
function getQueryString(name) {
	var reg = new RegExp("(^|&)" + name + "=([^&]*)(&|$)", "i");
	var r = window.location.search.substr(1).match(reg);
	if (r != null) return unescape(r[2]);
	return null;
}
/**
 * 请求封装参数
 * HttpRequest.doRequest('POST', data, token , URL , function(){}, function(){})
 * @param {* 请求方式:POST/GET} type 
 * @param {* 发送数据} data 
 * @param {* 请求接口} httpURL 
 * @param {* 返回参数} success 
 * @param {* 错误参数} fail 
 */
var HttpRequest = {
	doRequest: function(type, data, token ,httpURL, success, fail) {
		mui.ajax(httpURL, {
			data: data,
			dataType: 'json', //服务器返回json格式数据
			type: type, //HTTP请求类型
			timeout: 10000, //超时时间设置为10秒；
			headers: {
				Authorization: token,
				sak: 'egc'
			},
			success: function(res) {
				//mui.toast(res.code); 
				if (res.code == '0') {
					success(res);

				} else if (res.code == '20011') {
					toast('设备已离线')
					Storage.setItem('state', '0')
				} else if (res.code == '403') {
					toast('你还没有添加设备哦～')
					Storage.setItem('state', '0')
				}

			},
			error: function(xhr, type, errorThrown) {
				
				xhr = JSON.stringify(errorThrown);
				
				fail(type);
				console.log('\n\ttype:\t' + type + '\n\txhr:\t' + xhr);
			}
		});

    }
}


// 当前手机版本ios/安卓
var browser = {
	versions: function() {
		var u = navigator.userAgent,
			app = navigator.appVersion;
		return { //移动终端浏览器版本信息
			trident: u.indexOf('Trident') > -1, //IE内核
			presto: u.indexOf('Presto') > -1, //opera内核
			webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
			gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
			mobile: !!u.match(/AppleWebKit.*Mobile/i) || !!u.match(/MIDP|SymbianOS|NOKIA|SAMSUNG|LG|NEC|TCL|Alcatel|BIRD|DBTEL|Dopod|PHILIPS|HAIER|LENOVO|MOT-|Nokia|SonyEricsson|SIE-|Amoi|ZTE/), //是否为移动终端
			ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
			android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
			iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
			iPad: u.indexOf('iPad') > -1, //是否iPad
			webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
		};
	}(),
	language: (navigator.browserLanguage || navigator.language).toLowerCase()
}
//点击返回上一页面事件
mui('body').on('tap', '.mui-action-back', function() {
    //是使用智慧宜居
	
		mui.back = function() {
			var typeText = {
				"callBackNative": 1,
				"urlAddr": ""
			}
			if(isAndroid){
				EG_IOT.callBack(JSON.stringify(typeText));
			}else{
				window.webkit.messageHandlers.callBack.postMessage(JSON.stringify(typeText))
			}
		}
	
})


//主列表点击事件
mui('body').on('tap', 'a', function() {
	var href = this.getAttribute('href');
	if (this.classList.contains('mui-muiIf')) {
		return;
	} else if (this.classList.contains('html')) {
		mui.openWindow({
			url: href + '?html=html&did='+getQueryString('did')+'&token='+getQueryString('token'),
			id: href,
			show: {
				aniShow: 'slide-in-right',
				duration: 1400
			},
			waiting: {
				autoShow: false
			}
		});
	} else {
		mui.openWindow({
			url: href,
			id: href,
			show: {
				aniShow: 'slide-in-right',
				duration: 1400
			},
			waiting: {
				autoShow: false
			}
		});

	};
});
/**
 * 获取相同参数下坐标
 * @param {*对比参数} needle 
 * @param {*数组} haystack 
 */
function searchKeys(needle, haystack) {
	for (i in haystack) {
		if (haystack[i].pick == needle) {
			return i;
		}
	}
}
/**
 * 提示框
 * @param {* 提示内容} text 
 */
function toast(text) {
	var body = document.body;
	var div = document.createElement('div');
	div.className = 'mui-toast-container mui-active';
	div.innerHTML = '<div class="mui-toast-message">' + text + '</div>';
	body.insertBefore(div, body.firstChild);
	setTimeout(function() {
		div.remove()
	}, 1000)
}

//截取url的页面名字
function getHtmlDocName() {
	var str = window.location.href;
	str = str.substring(str.lastIndexOf("/") + 1);
	str = str.substring(0, str.lastIndexOf("."));
	return str;
}
//扩展mui.showLoading 
(function($, window) {
	//显示加载框 
	$.showLoading = function(message, type) {
		if ($.os.plus && type !== 'div') {
			$.plusReady(function() {
				plus.nativeUI.showWaiting(message);
			});
		} else {
			var html = '';
			html += '<i class="mui-spinner mui-spinner-white"></i>';
			html += '<p class="text">' + (message || "数据加载中") + '</p >';

			//遮罩层 
			var mask = document.getElementsByClassName("mui-show-loading-mask");
			if (mask.length == 0) {
				mask = document.createElement('div');
				mask.classList.add("mui-show-loading-mask");
				document.body.appendChild(mask);
				mask.addEventListener("touchmove", function(e) {
					e.stopPropagation();
					e.preventDefault();
				});
			} else {
				mask[0].classList.remove("mui-show-loading-mask-hidden");
			}
			//加载框 
			var toast = document.getElementsByClassName("mui-show-loading");
			if (toast.length == 0) {
				toast = document.createElement('div');
				toast.classList.add("mui-show-loading");
				toast.classList.add('loading-visible');
				document.body.appendChild(toast);
				toast.innerHTML = html;
				toast.addEventListener("touchmove", function(e) {
					e.stopPropagation();
					e.preventDefault();
				});
			} else {
				toast[0].innerHTML = html;
				toast[0].classList.add("loading-visible");
			}
		}
	};

	//隐藏加载框 
	$.hideLoading = function(callback) {
		if ($.os.plus) {
			$.plusReady(function() {
				plus.nativeUI.closeWaiting();
			});
		}
		var mask = document.getElementsByClassName("mui-show-loading-mask");
		var toast = document.getElementsByClassName("mui-show-loading");
		if (mask.length > 0) {
			mask[0].classList.add("mui-show-loading-mask-hidden");
		}
		if (toast.length > 0) {
			toast[0].classList.remove("loading-visible");
			callback && callback();
		}
	}
})(mui, window);

// 替换字符串方法
function replace(str) {
	var strArr = str;
	var reg = new RegExp('"', "g");
	var newstr = strArr.replace(reg, "'");
	return newstr;
}

//时间戳转时间
function formatDate(date) {
	var date = new Date(date);
	var YY = date.getFullYear() + '.';
	var MM = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '.';
	var DD = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate());
	return YY + MM + DD
}
//获取前7天
function SevenDayAgo(data) {
	var SevenDayAgo = data - 86400 * 7 * 1000;
	return SevenDayAgo
}
//获取前1天
function SevenDayAgo1(data) {
	var SevenDayAgo = data - 86400 * 1 * 1000;
	return SevenDayAgo
}
//获取后7天
function SevenDayLater(data) {
	var SevenDayAgo = data + 86400 * 7 * 1000;
	return SevenDayAgo
}
//获取后13天
function SevenDayLater1(data) {
	var SevenDayAgo = data + 86400 * 13 * 1000;
	return SevenDayAgo
}

//获取任意一天日期的前2天时间日期
function getPreDay(s) {
	var y = parseInt(s.substr(0, 4), 10);
	var m = parseInt(s.substr(5, 2), 10) - 1;
	var d = parseInt(s.substr(8, 2), 10);
	var dt = new Date(y, m, d + 1);
	y = dt.getFullYear();
	m = dt.getMonth() + 1;
	d = dt.getDate();
	m = m < 10 ? "0" + m : m;
	d = d < 10 ? "0" + d : d;
	return y + "-" + m + "-" + d;
}
//当周周一
function getMonday(date) {
	var day = date.getDay();
	var deltaDay;
	if (day == 0) {
		deltaDay = 6;
	} else {
		deltaDay = day - 1;
	}
	var monday = new Date(date.getTime() - deltaDay * 24 * 60 * 60 * 1000);
	var getMonthS = (monday.getMonth() + 1)
	if (Number(monday.getMonth()) < 9) {
		getMonthS = '0' + (monday.getMonth() + 1)
	}
	var getDateS = monday.getDate()
	if (Number(monday.getDate()) < 9) {
		getDateS = '0' + monday.getDate()
	}
	return monday.getFullYear() + '.' + getMonthS + '.' + getDateS; //返回本周的周一的0时0分0秒
}
//当周周日
function getMonday1(date) {
	var day = date.getDay();
	var deltaDay;
	if (day == 0) {
		deltaDay = 6;
	} else {
		deltaDay = day - 1;
	}
	var monday = new Date(date.getTime() - deltaDay * 24 * 60 * 60 * 1000);
	var getMonthS = (monday.getMonth() + 1)
	if (Number(monday.getMonth()) < 9) {
		getMonthS = '0' + (monday.getMonth() + 1)
	}
	var getDateS = monday.getDate()
	if (Number(monday.getDate()) < 9) {
		getDateS = '0' + monday.getDate()
	}
	var text = monday.getFullYear() + '.' + getMonthS + '.' + getDateS
	var str = text.replace(/\./g, "/")
	var dateS = new Date(str); // 构造一个日期型数据，值为传入的字符串
	function doHandleMonth(month) {
		var m = month;
		if (month.toString().length == 1) {
			m = "0" + month;
		}
		return m;
	}
	var today = new Date(dateS.getTime() + 1000 * 60 * 60 * 24 * 6);
	var tYear = today.getFullYear();
	var tMonth = today.getMonth();
	var tDate = today.getDate();
	tMonth = doHandleMonth(tMonth + 1);
	tDate = doHandleMonth(tDate);
	return tYear + "." + tMonth + "." + tDate;

}

//当周周一时间戳
function getMonday2(date) {
	var day = date.getDay();
	var deltaDay;
	if (day == 0) {
		deltaDay = 6;
	} else {
		deltaDay = day - 1;
	}
	var monday = new Date(date.getTime() - deltaDay * 24 * 60 * 60 * 1000);
	return monday; //返回本周的周一的0时0分0秒
}
/* 获取当前时间 */
function getdate() {
	var now = new Date(),
		y = now.getFullYear(),
		m = ("0" + (now.getMonth() + 1)).slice(-2),
		d = ("0" + now.getDate()).slice(-2);
	return y + "-" + m + "-" + d;
}
//获取当前日期 ---发送请求
function getNowFormatDate() {
	var date = new Date();
	var seperator1 = "-";
	var year = date.getFullYear();
	var month = date.getMonth() + 1;
	var strDate = date.getDate();
	if (month >= 1 && month <= 9) {
		month = "0" + month;
	}
	if (strDate >= 0 && strDate <= 9) {
		strDate = "0" + strDate;
	}
	var currentdate = year + seperator1 + month + seperator1 + strDate;
	return currentdate;
}
//在d之前的时间
function getBeforeDay(d) {
	d = new Date(d);
	d = +d - 1000 * 60 * 60 * 24;
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth() + 1;
	var day = d.getDate();
	s = year + "-" + (mon < 10 ? ('0' + mon) : mon) + "-" + (day < 10 ? ('0' + day) : day);
	return s;
}
//在d之后的时间
function getAfterDay(d) {
	d = new Date(d);
	d = +d + 1000 * 60 * 60 * 24;
	d = new Date(d);
	var year = d.getFullYear();
	var mon = d.getMonth() + 1;
	var day = d.getDate();
	s = year + "-" + (mon < 10 ? ('0' + mon) : mon) + "-" + (day < 10 ? ('0' + day) : day);
	return s;
}

//时间戳转时间  小时:分钟
function Conversiontime(timestamp) {
	var date = new Date(timestamp);
	h = (date.getHours() < 10 ? '0' + (date.getHours()) : date.getHours()) + ':';
	m = (date.getMinutes() < 10 ? '0' + (date.getMinutes()) : date.getMinutes());
	return h + m;
}
function HMSTime(timestamp) {
	var time = new Date(timestamp);
	console.log(time)
	var y = time.getFullYear(); //getFullYear方法以四位数字返回年份
	var M = time.getMonth() + 1; // getMonth方法从 Date 对象返回月份 (0 ~ 11)，返回结果需要手动加一
	var d = time.getDate(); // getDate方法从 Date 对象返回一个月中的某一天 (1 ~ 31)
	var h = time.getHours(); // getHours方法返回 Date 对象的小时 (0 ~ 23)
	var m = time.getMinutes(); // getMinutes方法返回 Date 对象的分钟 (0 ~ 59)
	var s = time.getSeconds(); // getSeconds方法返回 Date 对象的秒数 (0 ~ 59)
	return formatNumber(h) + ':' + formatNumber(m) + ':' + formatNumber(s);
}
function getTimeSec(time) {
	var s = "";
	var hour = time.split(':')[0];
	var min = time.split(':')[1];
	var sec = time.split(':')[2];
	s = Number(hour * 3600) + Number(min * 60) + Number(sec);
	//s =  hour*3600 + min*60 + sec;
	return s;
};
/** 
 * 时间戳转化为年 月 日 时 分 秒 
 * number: "2018-8-8 12:9:12"
 */
function transformTime(timestamp) {
	var time = new Date(timestamp);
	var y = time.getFullYear(); //getFullYear方法以四位数字返回年份
	var M = time.getMonth() + 1 < 10 ? '0' + (time.getMonth() + 1) : time.getMonth() + 1; // getMonth方法从 Date 对象返回月份 (0 ~ 11)，返回结果需要手动加一
	var d = time.getDate() < 10 ? '0' + (time.getDate()) : time.getDate()// getDate方法从 Date 对象返回一个月中的某一天 (1 ~ 31)
	var h = time.getHours() < 10 ? '0' + (time.getHours()) : time.getHours(); // getHours方法返回 Date 对象的小时 (0 ~ 23)
	var m = time.getMinutes() < 10 ? '0' + (time.getMinutes()) : time.getMinutes(); // getMinutes方法返回 Date 对象的分钟 (0 ~ 59)
	var s = time.getSeconds() < 10 ? '0' + (time.getSeconds()) : time.getSeconds(); // getSeconds方法返回 Date 对象的秒数 (0 ~ 59)
	return y + '-' + M + '-' + d + ' ' + formatNumber(h) + ':' + formatNumber(m) + ':' + formatNumber(s);
}
function formTime(timestamp) {
	var m = parseInt(Number(timestamp) / 60); // getMinutes方法返回 Date 对象的分钟 (0 ~ 59)
	var s = Number(timestamp) - m * 60; // getSeconds方法返回 Date 对象的秒数 (0 ~ 59)
	return formatNumber(m) + ':' + formatNumber(s);
}
//数据转化  
function formatNumber(n) {
	n = n.toString()
	return n[1] ? n : '0' + n
}
function IsNaN(value) {
	return value !== value;
}
//字符串转ASCII在转16进制 
function Turn16(text) {
	var s = ''
	for (var i = 0; i < text.length; i++) {
		s += ((text[i].charCodeAt()).toString(16)).toUpperCase()
	}
	return s
}

//大小排序
function sortId(a,b){
  return b.DateNew-a.DateNew
}