//app端设置的webview agent要拼接"EGSMART"
var appWebviewAgent = navigator.userAgent;
var isAndroid = appWebviewAgent.indexOf('Android') > -1 || appWebviewAgent.indexOf('Adr') > -1; //android终端
var isIOS = !!appWebviewAgent.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
var html = getHtmlDocName();
var PresentationNew = {
	sysVolume: 50, //system系统音量
	acVolume: 30, //alarm闹钟音量
	slVolume: 20, //dialogue助眠音量
	talkVolume: 50, //aid对话音量
}
var PresentationTwo={
	SlMusic: false, //睡眠音乐
	SlVoice: 0,  //音量
	SlLighting: false, //睡眠照明
	SlBrightness: 10,
	SlEnd: false, //睡眠结束
	SlControl: false, //睡眠控制
	SlBeginTime: '23:00',
	SlEndTime: '07:00',
	ControlJson: []
}
/**
 * 发送命令
 * @param {* 指令参数} controlType 
 */
function SendInstruction(controlType) {
	var data = {
		deviceId: getQueryString("did"),
		uartboby: controlType
	};
	HttpRequest.doRequest('POST', data, getQueryString("token"), control, function(res) {
		if (res.code == '0') {
			console.log('发送控制指令成功\n');
		} else {
			console.log('发送控制指令失败\n');
		}
	}, function() {})
}

// 遥控发送指令方法
function sendCommand(cmd) {
	var reg = new RegExp(",", "g");
	var newstr = cmd.replace(reg, '');
	var command = newstr;
	console.log(command);
	var data = {
		deviceId: getQueryString("did"),
		uartboby: command
	};
	HttpRequest.doRequest('POST', data, getQueryString("token"), control, function(res) {
		if (res.code == '0') {
			console.log('发送控制指令成功\n');
		} else {
			console.log('发送控制指令失败\n');
		}
	}, function() {})
}

function volumeSleep(did, token, uartbody) {
	var param = {
		deviceId: did,
		uartboby: uartbody
	};
	HttpRequest.doRequest('POST', param, token, control, function(res) {

	}, function() {})
}

/** 
 * 台灯控制：共8个字节
 * @param {string} lightType 工作类型
 * @param {string} lightPercent 亮度
 * @param {string} colorTmep 色温
 * @param {string} colorR 彩色r值
 * @param {string} colorG 彩色g值
 * @param {string} colorB 彩色b值
 * @return {string} 返回值 
 */
function getLampCtrlCmd(lightType, lightPercent, colorTmep, colorR, colorG, colorB) {
	this.lampCtrl_cmd = [];
	this.lampCtrl_cmd.push(getProtocolVesion()); //协议版本
	this.lampCtrl_cmd.push(getLightOrderType()); //命令类型
	this.lampCtrl_cmd.push(lightType);
	this.lampCtrl_cmd.push(lightPercent);
	this.lampCtrl_cmd.push(colorTmep);
	this.lampCtrl_cmd.push(colorR);
	this.lampCtrl_cmd.push(colorG);
	this.lampCtrl_cmd.push(colorB);
	return iot.arrayToString(this.lampCtrl_cmd);
}


//关灯指令
function sendTakeOffLightOrder() {
	var brightnessAad = decimal2Hex(Number(mui("#brightnessAad")[0].value)) 
	var brightnessDelete = decimal2Hex(Number(mui("#brightnessDelete")[0].value)) ;
	var command = getLampCtrlCmd("00", brightnessAad, brightnessDelete, "00", "00", "00");
	//	console.log(command);
	SendInstruction(command);
	//	getResCommand(command, 14);
}

//白光指令
function sendWhiteLightOrder(currentValue) {
	//	var command = getLampCtrlCmd(currentValue.white.type, currentValue.white.lightPercent, currentValue.white.colorTemp, currentValue.white.colorR, currentValue.white.colorG, currentValue.white.colorB);
	var command = getLampCtrlCmd(currentValue.type, currentValue.lightPercent, currentValue.colorTemp, currentValue.colorR,
		currentValue.colorG, currentValue.colorB);
	console.log(command);
	SendInstruction(command);
	//	getResCommand(command, 14);
}

//彩光指令
function sendColorLightOrder(currentValue) {
	var command = getLampCtrlCmd(currentValue.type, currentValue.lightPercent, currentValue.colorTemp, currentValue.colorR,
		currentValue.colorG, currentValue.colorB);
	console.log(command);
	SendInstruction(command);
	//	getResCommand(command, 14);
}
//渐变指令
function sendGradientOrder(currentValue) {
	var command = getLampCtrlCmd(currentValue.type, currentValue.lightPercent, currentValue.colorTemp, currentValue.colorR,
		currentValue.colorG, currentValue.colorB);
	console.log(command);
	SendInstruction(command);
	//	getResCommand(command, 14);
}





var voiceRenderDom = true;

function renderDom(data) {
	console.log(data)

	if (html == 'Led' || html == 'LED') { //led灯
		// mui('#brightnessAad')[0].value = data.lightPercent;
		// mui('#brightnessAad')[0].style.backgroundSize = data.lightPercent + '% 100%';
		// mui('#brightnessDelete')[0].value = data.colorTempPercent;
		// mui('#brightnessDelete')[0].style.backgroundSize = data.colorTempPercent + '% 100%';

	} else if (html == 'Sleep') { //睡眠闹钟
		if (data.heartRate) {
			mui('#shuju1')[0].innerHTML = data.heartRate
		}
		if (data.breath) {
			mui('#shuju2')[0].innerHTML = data.breath
		}
		if (data.temperature) {
			mui('#shuju3')[0].innerHTML = data.temperature
		}
		if (data.humidity) {
			mui('#shuju4')[0].innerHTML = data.humidity
		}

		if (data.sleepTestingState == '0') {
			mui('#SleepOff')[0].classList.remove('mui-hidden')
			mui('#button')[0].classList.add('mui-hidden')
		} else {
			mui('#SleepOff')[0].classList.add('mui-hidden')
			mui('#button')[0].classList.remove('mui-hidden')
		}
		//音量调节,可以解决在台灯上操作音量加减键同时实行App上的音量滑条可以同步加减
		if (data.silentState == "0") {
			//有声音
			console.log(voiceRenderDom)
			if (voiceRenderDom) {
				if (Storage.getItem('typeNew') == '113') {
					var m = data.volume;
					document.getElementById("block-range").style.backgroundSize = m + '% 100%';
					document.getElementById("block-range").value = m
				}else if (Storage.getItem('typeNew') == '114'){
					var m = data.slVolume;
					document.getElementById("block-range").style.backgroundSize = m + '% 100%';
					document.getElementById("block-range").value = m
				}
				
				mui('.block-volume')[0].src = '../images/volume.png'
				mui('.block-volume')[1].src = '../images/volume.png'
				mui('.block-volume')[2].src = '../images/volume.png'
			}
		} else {
			//静音
			if (voiceRenderDom) {
				
				document.getElementById("block-range").style.backgroundSize = '0% 100%';
				document.getElementById("block-range").value = 0
				mui('.block-volume')[0].src = '../images/volumeX.png'
				mui('.block-volume')[1].src = '../images/volumeX.png'
				mui('.block-volume')[2].src = '../images/volumeX.png'
			}
		}

		if (data.playState == '2') {
			mui('.switch')[0].classList.remove('open')
			mui('.switch')[0].classList.add('open4')
			mui('.switch')[0].src = '../images/open4.png'
			mui('.switch')[1].classList.remove('open')
			mui('.switch')[1].classList.add('open4')
			mui('.switch')[1].src = '../images/open4.png'
			if (Number(data.playNumber) < 8) {
				var MusicNu = Number(Storage.getItem('MusicNumber'))
				mui('.SrcImg').each(function() {
					this.innerHTML = ''
				})
				mui('.SrcImg')[Number(data.playNumber) + MusicNu].innerHTML =
					'<img src="../images/Play.gif" alt="" class="mui-pull-right" style="">'

			}
		} else {
			mui('.switch')[0].classList.add('open')
			mui('.switch')[0].classList.remove('open4')
			mui('.switch')[0].src = '../images/open.png'
			mui('.switch')[1].classList.add('open')
			mui('.switch')[1].classList.remove('open4')
			mui('.switch')[1].src = '../images/open.png'

		}

		if (Number(data.wakeupHour1)>0) {
			var wakeupHour1 = data.wakeupHour1
			var wakeupMin1 = data.wakeupMin1

			if (data.wakeupHour1.length == 1) {
				wakeupHour1 = '0' + data.wakeupHour1
			}
			if (data.wakeupMin1.length == 1) {
				wakeupMin1 = '0' + data.wakeupMin1
			}
			mui("#AlarmAdd")[0].innerHTML =
				'<a href="../AlarmClock/AddAlarm.html" class="mui-muiIf">闹钟时间: <span class="getUpVal">' + wakeupHour1 + ':' +
				wakeupMin1 + '</span></a>';
			var getHours = new Date().getHours() * 60; // 获取现在小时数(0-59)
			var getMinutes = new Date().getMinutes(); // 获取现在分钟数(0-59)
			var getWak = Number(getHours) + Number(getMinutes); //现在总分钟
			var wakeup = Number(data.wakeupHour1) * 60 + Number(data.wakeupMin1);
			var Surplus = wakeup - getWak
			console.log(Surplus)
			if (Surplus > 0) {
				var h = parseInt(Surplus / 60)
				var m = (Surplus - (h * 60))
				mui(".goToBedVal")[0].innerHTML = h + '小时' + m + '分'
			} else {
				var SurplusNew = 1440 + Surplus
				var h = parseInt(SurplusNew / 60)
				var m = (SurplusNew - (h * 60))
				mui(".goToBedVal")[0].innerHTML = h + '小时' + m + '分'
			}
		} else {
			mui("#AlarmAdd")[0].innerHTML = '<a href="../AlarmClock/AddAlarm.html"  class="mui-muiIf">点击设置</a>';
			mui(".goToBedVal")[0].innerHTML = '-小时-分';
		}
	}else if (html == 'play') {
		//音量调节,可以解决在台灯上操作音量加减键同时实行App上的音量滑条可以同步加减
		if (Storage.getItem('typeNew') == '113') {
			if (data.volume) {
				//有声音
				var m = data.volume;
				document.getElementById("block-range").style.backgroundSize = m + '% 100%';
				document.getElementById("block-range").value = data.volume
			}
		} else if (Storage.getItem('typeNew') == '114') {
			if (data.slVolume) {
				var m = data.sysVolume;
				console.log(m)
				document.getElementById("block-range").style.backgroundSize = m + '% 100%';
				document.getElementById("block-range").value = data.sysVolume
			}
		}
	}
}

function renderDomMqtt(data) {
	console.log(data)
	var html = getHtmlDocName()

	if (html == 'OriginalHome') { //首页
		if (data.orderType == '11') {
			if (data.sleepTestingState == '0') {
				console.log("开始睡觉" + data.sleepTestingState)
				mui('.mui-end a')[0].classList.remove('end')
				mui('.mui-end a')[0].classList.add('start')
			} else if (data.sleepTestingState == '1') {
				console.log("结束睡觉" + data.sleepTestingState)
				mui('.mui-end a')[0].classList.add('end')
				mui('.mui-end a')[0].classList.remove('start')

			}
		}
	} else if (html == 'Led' || html == 'LED') { //led灯
		/**
		 * workType:上一次的灯光状态
		 * data.workType:当前WebSocket返回状态
		 * workType初始为6与当前设备状态不相等。
		 * 如果不相等就继续执行，重新workType赋值。
		 * 下次进入如果相等就不做操作，如果不相等说明LED的状态发生变化
		 * */
		//灯光状态
		if (data.orderType == '1') {
			if (data.workType == "0") {
				mui('.temperature')[0].style.visibility = 'inherit';
				mui('.mui-tab-item')[0].classList.remove('mui-active')
				mui('.mui-tab-item')[1].classList.remove('mui-active')
				mui('.mui-tab-item')[2].classList.remove('mui-active')
				mui('#brightnessAad')[0].style.background = '-webkit-linear-gradient(#EBEBEB, #EBEBEB) no-repeat, #EBEBEB'
				mui('#brightnessDelete')[0].style.background = '-webkit-linear-gradient(#EBEBEB, #EBEBEB) no-repeat, #EBEBEB'
				mui('#brightnessAad')[0].style.backgroundSize = data.lightPercent +'% 100%'
				mui('#brightnessDelete')[0].style.backgroundSize = data.colorTempPercent +'% 100%'
				mui('#brightnessAad')[0].value = data.lightPercent
				mui('#brightnessDelete')[0].value = data.colorTempPercent
				mui('.Shelter')[0].classList.remove('mui-hidden');
				//关灯
				workType = data.workType
			} else if (data.workType == "1") {
				//白光

				mui('.mui-tab-item')[0].classList.remove('mui-active')
				mui('.mui-tab-item')[2].classList.remove('mui-active')
				mui('.mui-tab-item')[1].classList.add('mui-active')
				mui('.Shelter')[0].classList.add('mui-hidden')
				mui('#tabbar-with-chat')[0].classList.remove('mui-active')
				mui('#tabbar')[0].classList.remove('mui-active')
				mui('#tabbar-with-contact')[0].classList.add('mui-active')
				mui('#brightnessAad')[0].style.background = '-webkit-linear-gradient(#ADE3FF, #12A7EB) no-repeat, #ddd'
				mui('#brightnessDelete')[0].style.background = '-webkit-linear-gradient(#FDD3D3, #FF6363) no-repeat, #ddd'
				mui('#brightnessAad')[0].style.backgroundSize = data.lightPercent +'% 100%'
				mui('#brightnessDelete')[0].style.backgroundSize = data.colorTempPercent +'% 100%'
				mui('#brightnessAad')[0].value = data.lightPercent
				mui('#brightnessDelete')[0].value = data.colorTempPercent
				IuputRange('1')
				workType = data.workType
			} else if (data.workType == "2") {
				console.log(data.workType)
				/**
				 * 修改彩光调色板颜色
				 *
				 * */
				document.getElementById("picker").getElementsByTagName("input")[0].value = ColorPicker.prototype.RGBtoHEX(Number(
						data.colorR),
					Number(data.colorG), Number(data.colorB))
				console.log(ColorPicker.prototype.RGBtoHEX(Number(data.colorR), Number(data.colorG), Number(data.colorB)))

				var myEvent = new Event('input');
				document.getElementById("picker").getElementsByTagName("input")[0].dispatchEvent(myEvent);

				mui('.mui-tab-item')[1].classList.remove('mui-active')
				mui('.mui-tab-item')[2].classList.remove('mui-active')
				mui('.mui-tab-item')[0].classList.add('mui-active')
				mui('.Shelter')[0].classList.add('mui-hidden')
				mui('#tabbar-with-chat')[0].classList.remove('mui-active')
				mui('#tabbar')[0].classList.add('mui-active')
				mui('#tabbar-with-contact')[0].classList.remove('mui-active')
				mui('.temperature')[0].style.visibility = 'hidden';
				console.log(data.lightPercent)
				IuputRange('1')
				mui('#brightnessAad')[0].style.background = '-webkit-linear-gradient(#ADE3FF, #12A7EB) no-repeat, #ddd'
				mui('#brightnessDelete')[0].style.background = '-webkit-linear-gradient(#FDD3D3, #FF6363) no-repeat, #ddd;'
				mui('#brightnessAad')[0].style.backgroundSize = data.lightPercent +'% 100%'
				mui('#brightnessDelete')[0].style.backgroundSize = data.colorTempPercent +'% 100%'
				mui('#brightnessAad')[0].value = data.lightPercent
				mui('#brightnessDelete')[0].value = data.colorTempPercent
				workType = data.workType
			} else if (data.workType == "3") {
				//渐变
				mui('.mui-tab-item')[0].classList.remove('mui-active')
				mui('.mui-tab-item')[1].classList.remove('mui-active')
				mui('.mui-tab-item')[2].classList.add('mui-active')
				mui('.Shelter')[0].classList.add('mui-hidden')
				mui('#tabbar-with-chat')[0].classList.add('mui-active')
				mui('#tabbar')[0].classList.remove('mui-active')
				mui('#tabbar-with-contact')[0].classList.remove('mui-active')
				mui('.temperature')[0].style.visibility = 'hidden';
				IuputRange('1')
				mui('#brightnessAad')[0].style.background = '-webkit-linear-gradient(#ADE3FF, #12A7EB) no-repeat, #ddd'
				mui('#brightnessDelete')[0].style.background = '-webkit-linear-gradient(#FDD3D3, #FF6363) no-repeat, #ddd'
				mui('#brightnessAad')[0].style.backgroundSize = data.lightPercent +'% 100%'
				mui('#brightnessDelete')[0].style.backgroundSize = data.colorTempPercent +'% 100%'
				mui('#brightnessAad')[0].value = data.lightPercent
				mui('#brightnessDelete')[0].value = data.colorTempPercent
				workType = data.workType
			}
		}



	} else if (html == 'Sleep') { //睡眠闹钟
		if (data.heartRate) {
			mui('#shuju1')[0].innerHTML = data.heartRate
		}
		if (data.breath) {
			mui('#shuju2')[0].innerHTML = data.breath
		}
		if (data.temperature) {
			mui('#shuju3')[0].innerHTML = data.temperature
		}
		if (data.humidity) {
			mui('#shuju4')[0].innerHTML = data.humidity
		}

		if (data.sleepTestingState == '0') {
			mui('#SleepOff')[0].classList.remove('mui-hidden')
			mui('#button')[0].classList.add('mui-hidden')
		} else if (data.sleepTestingState == '1') {
			mui('#SleepOff')[0].classList.add('mui-hidden')
			mui('#button')[0].classList.remove('mui-hidden')
		}
		//音量调节,可以解决在台灯上操作音量加减键同时实行App上的音量滑条可以同步加减
		if (Storage.getItem('typeNew') == '113') {
			if (data.volume) {
				//有声音
				var m = data.volume;
				document.getElementById("block-range").style.backgroundSize = m + '% 100%';
				document.getElementById("block-range").value = data.volume
				mui('.block-volume')[0].src = '../images/volume.png'
				mui('.block-volume')[1].src = '../images/volume.png'
				mui('.block-volume')[2].src = '../images/volume.png'
			}
		} else if (Storage.getItem('typeNew') == '114') {
			if (data.slVolume) {
				//有声音
				var m = data.slVolume;
				document.getElementById("block-range").style.backgroundSize = m + '% 100%';
				document.getElementById("block-range").value = data.slVolume
				mui('.block-volume')[0].src = '../images/volume.png'
				mui('.block-volume')[1].src = '../images/volume.png'
				mui('.block-volume')[2].src = '../images/volume.png'
			}
		}

		if (data.playState == '2') {
			mui('.switch')[0].classList.remove('open')
			mui('.switch')[0].classList.add('open4')
			mui('.switch')[0].src = '../images/open4.png'
			mui('.switch')[1].classList.remove('open')
			mui('.switch')[1].classList.add('open4')
			mui('.switch')[1].src = '../images/open4.png'
			if (Number(data.playNumber) < 8) {
				var MusicNu = Number(Storage.getItem('MusicNumber'))
				mui('.SrcImg').each(function() {
					this.innerHTML = ''
				})
				mui('.SrcImg')[Number(data.playNumber) + MusicNu].innerHTML =
					'<img src="../images/Play.gif" alt="" class="mui-pull-right" style="">'

			}
		} else if (data.playState == '0' || data.playState == '1') {
			mui('.switch')[0].classList.add('open')
			mui('.switch')[0].classList.remove('open4')
			mui('.switch')[0].src = '../images/open.png'
			mui('.switch')[1].classList.add('open')
			mui('.switch')[1].classList.remove('open4')
			mui('.switch')[1].src = '../images/open.png'
			mui('.SrcImg').each(function() {
				this.innerHTML = ''
			})
		}



		if (data.wakeupState1 == '2' || data.wakeupState1 == '02') {
			var wakeupHour1 = data.wakeupHour1
			var wakeupMin1 = data.wakeupMin1

			if (data.wakeupHour1.length == 1) {
				wakeupHour1 = '0' + data.wakeupHour1
			}
			if (data.wakeupMin1.length == 1) {
				wakeupMin1 = '0' + data.wakeupMin1
			}

			mui("#AlarmAdd")[0].innerHTML =
				'<a href="../AlarmClock/AddAlarm.html" class="mui-muiIf">闹钟时间: <span class="getUpVal">' + wakeupHour1 + ':' +
				wakeupMin1 + '</span></a>';
			var getHours = new Date().getHours() * 60; // 获取现在小时数(0-59)
			var getMinutes = new Date().getMinutes(); // 获取现在分钟数(0-59)
			var getWak = Number(getHours) + Number(getMinutes); //现在总分钟
			var wakeup = Number(data.wakeupHour1) * 60 + Number(data.wakeupMin1);
			var Surplus = wakeup - getWak
			console.log(Surplus)
			if (Surplus > 0) {
				var h = parseInt(Surplus / 60)
				var m = (Surplus - (h * 60))
				mui(".goToBedVal")[0].innerHTML = h + '小时' + m + '分'
			} else {
				var SurplusNew = 1440 + Surplus
				var h = parseInt(SurplusNew / 60)
				var m = (SurplusNew - (h * 60))
				mui(".goToBedVal")[0].innerHTML = h + '小时' + m + '分'
			}
		} else if (data.wakeupState1 == '1' || data.wakeupState1 == '01' || data.wakeupState1 == '00' || data.wakeupState1 ==
			'0') {

			mui("#AlarmAdd")[0].innerHTML = '<a href="../AlarmClock/AddAlarm.html"  class="mui-muiIf">点击设置</a>';
			mui(".goToBedVal")[0].innerHTML = '-小时-分';
		}



	} else if (html == 'play' || html == 'SongList2') { //播放页面
		if (data.playState == '2') {
			if (data.playNumber) {
				var num = Number(Storage.getItem('num'))
				var playNumber = Number(data.playNumber)
				mui('.Play').each(function() {
					this.src = "images/music_play02@3x.png"
				})
				Storage.setItem('numNew', playNumber)
				mui('.muiMPlay')[playNumber + num].lastElementChild.src = "../images/Play.gif";
				if (html == 'play') {
					var MusicData = JSON.parse(Storage.getItem('MusicData'))
					mui('.muiLI')[0].innerHTML = MusicData[playNumber + num].name
				}
			}
		} else if (data.playState == '0' || data.playState == '1') {
			mui('.Play').each(function() {
				this.src = "images/music_play02@3x.png"
			})
		}
		if (html == 'play') {

			//音量调节,可以解决在台灯上操作音量加减键同时实行App上的音量滑条可以同步加减
			if (Storage.getItem('typeNew') == '113') {
				if (data.volume) {
					//有声音
					var m = data.volume;
					document.getElementById("block-range").style.backgroundSize = m + '% 100%';
					document.getElementById("block-range").value = data.volume
				}
			} else if (Storage.getItem('typeNew') == '114') {
				if (data.slVolume) {
					var m = data.sysVolume;
					document.getElementById("block-range").style.backgroundSize = m + '% 100%';
					document.getElementById("block-range").value = data.sysVolume
				}
			}

		}
	}
}
/**
 * volumeGetSettingList(Storage.getItem("typeNew"))
 * */
function volumeGetSettingList(typeNew){
	if (typeNew == '113') {
		var data = {
			deviceId: Storage.getItem("did"),
			settingType: 2
		}
		HttpRequest.doRequest('GET', data, Storage.getItem("token"), getSettingList, function(e) {
			if (e.data.length == 0) {
				var dataS = {
					deviceId: Storage.getItem("did"),
					settingType: 2,
					settingValues: JSON.stringify(PresentationTwo),
					flag: true
				}
				console.log(data)
				HttpRequest.doRequest('POST', dataS, Storage.getItem("token"), saveSettings, function(e) {
					HttpRequest.doRequest('GET', data, Storage.getItem("token"), getSettingList, function(e) {
						var settingValues = JSON.parse(e.data[0].settingValues);
						PresentationTwo.SlMusic = settingValues.SlMusic;
						PresentationTwo.SlLighting = settingValues.SlLighting;
						PresentationTwo.SlBeginTime = settingValues.SlBeginTime;
						PresentationTwo.SlEnd = settingValues.SlEnd;
						PresentationTwo.SlControl = settingValues.SlControl;
						PresentationTwo.SlBrightness = settingValues.SlBrightness;
						PresentationTwo.SlEndTime = settingValues.SlEndTime;
						PresentationTwo.SlVoice = settingValues.SlVoice;
						deviceSettingId = e.data[0].deviceSettingId;
					})
				}, function() {})
			} else {
				var settingValues = JSON.parse(e.data[0].settingValues);
				PresentationTwo.SlMusic = settingValues.SlMusic;
				PresentationTwo.SlLighting = settingValues.SlLighting;
				PresentationTwo.SlBeginTime = settingValues.SlBeginTime;
				PresentationTwo.SlEnd = settingValues.SlEnd;
				PresentationTwo.SlControl = settingValues.SlControl;
				PresentationTwo.SlBrightness = settingValues.SlBrightness;
				PresentationTwo.SlEndTime = settingValues.SlEndTime;
				PresentationTwo.SlVoice = settingValues.SlVoice;
				deviceSettingId = e.data[0].deviceSettingId;
			}
		}, function() {})
	} else if (typeNew == '114') {
		var data = {
			deviceId: Storage.getItem("did"),
			settingType: 5
		}
		HttpRequest.doRequest('GET', data, Storage.getItem("token"), getSettingList, function(e) {
			if (e.data.length == 0) {
				var dataS = {
					deviceId: Storage.getItem("did"),
					settingType: 5,
					settingValues: JSON.stringify(PresentationNew),
					flag: true
				}
				HttpRequest.doRequest('POST', dataS, Storage.getItem("token"), saveSettings, function(e) {
					if (e.code == '0') {
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), "0515" + Number(PresentationNew.sysVolume) +
							Number(PresentationNew.acVolume).toString(16) + Number(PresentationNew.slVolume) + Number(PresentationNew.talkVolume)
							.toString(16));
						var data = {
							deviceId: Storage.getItem("did"),
							settingType: 5
						}
						HttpRequest.doRequest('GET', data, Storage.getItem("token"), getSettingList, function(e) {
							var settingValues = JSON.parse(e.data[0].settingValues);
							PresentationNew.sysVolume = settingValues.sysVolume;
							PresentationNew.acVolume = settingValues.acVolume;
							PresentationNew.talkVolume = settingValues.talkVolume;
							PresentationNew.slVolume = settingValues.slVolume;
						}, function() {})
					}
				}, function() {})
			} else {
				var settingValues = JSON.parse(e.data[0].settingValues);
				PresentationNew.sysVolume = settingValues.sysVolume;
				PresentationNew.acVolume = settingValues.acVolume;
				PresentationNew.talkVolume = settingValues.talkVolume;
				PresentationNew.slVolume = settingValues.slVolume;
			}
		}, function() {})
	}
}

function putVolumeValue(e) {
	var type = JSON.parse(e).type //type 1.增加  0.减
	if(html == 'Sleep'){
		if (type == 1) {
			if (typeNew == '113') {
				if (Number(PresentationTwo.SlVoice) < 100) {
					if (Number(PresentationTwo.SlVoice) <= 95) {
						PresentationTwo.SlVoice = Number(PresentationTwo.SlVoice) + 5
						if (Number(PresentationTwo.SlVoice) < 16) {
							modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
							setTimeout(function() {
								volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0502060' + Number(PresentationTwo.SlVoice).toString(16))
							}, 50)
						} else {
							modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
							setTimeout(function() {
								volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '050206' + Number(PresentationTwo.SlVoice).toString(16))
							}, 50)
						}
					} else {
						PresentationTwo.SlVoice = 100
						modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
						setTimeout(function() {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '050206' + Number(PresentationTwo.SlVoice).toString(16))
						}, 50)
					}
				}
			} else if (typeNew == '114') {
				if (Number(PresentationNew.sysVolume) < 100) {
					if (Number(PresentationNew.sysVolume) <= 95) {
						PresentationNew.sysVolume = Number(PresentationNew.sysVolume) + 5
						if (Number(PresentationNew.sysVolume) < 16) {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515ffff0' + Number(PresentationNew.sysVolume).toString(16) + 'ff')
						} else {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515ffff' + Number(PresentationNew.sysVolume).toString(16) + 'ff')
						}
					} else {
						PresentationNew.sysVolume = 100
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515ffff' + Number(PresentationNew.sysVolume).toString(16) + 'ff')
					}
				}
			}
		
		} else {
			if (typeNew == '113') {
				if (Number(PresentationTwo.SlVoice) >= 5) {
					PresentationTwo.SlVoice = Number(PresentationTwo.SlVoice) - 5
					if (Number(PresentationTwo.SlVoice) < 16) {
						modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
						setTimeout(function() {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0502060' + Number(PresentationTwo.SlVoice).toString(16))
						}, 50)
					} else {
						modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
						setTimeout(function() {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '050206' + Number(PresentationTwo.SlVoice).toString(16))
						}, 50)
					}
				} else {
					PresentationTwo.SlVoice = 0
					modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
					setTimeout(function() {
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0502060' + Number(PresentationTwo.SlVoice).toString(16))
					}, 50)
				}
			} else if (typeNew == '114') {
				if (Number(PresentationNew.sysVolume) >= 5) {
					PresentationNew.sysVolume = Number(PresentationNew.sysVolume) - 5
					if (Number(PresentationNew.sysVolume) < 16) {
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515ffff0' + Number(PresentationNew.sysVolume).toString(16) + 'ff')
					} else {
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515ffff' + Number(PresentationNew.sysVolume).toString(16) + 'ff')
					}
				} else {
					PresentationNew.sysVolume = 0
					volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515ffff0' + Number(PresentationNew.sysVolume).toString(16) + 'ff')
				}
			}
		}
	}else{
		if (type == 1) {
			if (Storage.getItem('typeNew') == '113') {
				if (Number(PresentationTwo.SlVoice) < 100) {
					if (Number(PresentationTwo.SlVoice) <= 95) {
						PresentationTwo.SlVoice = Number(PresentationTwo.SlVoice) + 5
						if (Number(PresentationTwo.SlVoice) < 16) {
							modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
							setTimeout(function() {
								volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0502060' + Number(PresentationTwo.SlVoice).toString(
									16))
							}, 50)
						} else {
							modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
							setTimeout(function() {
								volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '050206' + Number(PresentationTwo.SlVoice).toString(
									16))
							}, 50)
						}
					} else {
						PresentationTwo.SlVoice = 100
						modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
						setTimeout(function() {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '050206' + Number(PresentationTwo.SlVoice).toString(
								16))
						}, 50)
					}
				}
			} else if (Storage.getItem('typeNew') == '114') {
				if (Number(PresentationNew.sysVolume) < 100) {
					if (Number(PresentationNew.sysVolume) <= 95) {
						PresentationNew.sysVolume = Number(PresentationNew.sysVolume) + 5
						if (Number(PresentationNew.sysVolume) < 16) {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '05150' + Number(PresentationNew.sysVolume).toString(
								16) + 'ffffff')
						} else {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515' + Number(PresentationNew.sysVolume).toString(
								16) + 'ffffff')
						}
					} else {
						PresentationNew.sysVolume = 100
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515' + Number(PresentationNew.sysVolume).toString(16) +
							'ffffff')
					}
				}
			}
		} else {
			if (Storage.getItem('typeNew') == '113') {
				if (Number(PresentationTwo.SlVoice) >= 5) {
					PresentationTwo.SlVoice = Number(PresentationTwo.SlVoice) - 5
					if (Number(PresentationTwo.SlVoice) < 16) {
						modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
						setTimeout(function() {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0502060' + Number(PresentationTwo.SlVoice).toString(16))
						}, 50)
					} else {
						modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
						setTimeout(function() {
							volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '050206' + Number(PresentationTwo.SlVoice).toString(16))
						}, 50)
					}
				} else {
					PresentationTwo.SlVoice = 0
					modifyNew(Storage.getItem("did"), Storage.getItem("token"), PresentationTwo)
					setTimeout(function() {
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0502060' + Number(PresentationTwo.SlVoice).toString(16))
					}, 50)
				}
			} else if (Storage.getItem('typeNew') == '114') {
				if (Number(PresentationNew.sysVolume) >= 5) {
					PresentationNew.sysVolume = Number(PresentationNew.sysVolume) - 5
					if (Number(PresentationNew.sysVolume) < 16) {
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '05150' + Number(PresentationNew.sysVolume).toString(16) + 'ffffff')
					} else {
						volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '0515' + Number(PresentationNew.sysVolume).toString(16) +'ffffff')
					}
				} else {
					PresentationNew.sysVolume = 0
					volumeSleep(Storage.getItem("did"), Storage.getItem("token"), '05150' + Number(PresentationNew.sysVolume).toString(16) +'ffffff')
				}
			}
		}
	}
}
function modifyNew(did, token, text) {
	console.log(JSON.stringify(text))
	var data = {
		deviceId: did,
		deviceSettingId: deviceSettingId,
		settingValues: JSON.stringify(text),
		settingType: 2
	}
	HttpRequest.doRequest('POST', data, token, updateSettings, function(res) {

	}, function() {})
}
