/**
 * Storage.setItem(name, value)储存name：参数名。value:值
 * Storage.getItem(name)查找指定储存
 * Storage.removeItem(name)删除掉指定储存
 * Storage.clear()删除所有储存
 * @param {* 名字} name 
 * @param {* 内容} value 
 */
var Storage = {
	setItem:function(name, value){
		localStorage.setItem(name, value);
	},
	getItem:function(name){
		return localStorage.getItem(name);
	},
	removeItem:function(name){
		localStorage.removeItem(name);
	},
	clear:function(){
		localStorage.clear();
	}
}

var serverUrl = "https://apis.eg-live.com/dk2018"; //正式(调用第三方返回的数据接口)
var mac = "afc1d1332241ca3c"; //本公司mac

if (Storage.getItem('isOfficial') == 'true') {
	var baseWS = 'iot-wss2.eg-live.com'; //MQTT
	var sapURL = 'https://api-app.eg-live.com' //台灯系统操作接口 正式
} else {
	var baseWS = '192.168.1.52'; //MQTT
	var sapURL = 'http://192.168.1.52:8140' //台灯系统操作接口 正式
}


/* 发送指令接口 */
var control = sapURL + "/gateway/deskLampService/device/control";

/* 选中DID接口 */
var pick = sapURL + "/gateway/deviceInfoService/bind/pick";

/* 设备列表接口 */
var getListByUser = sapURL + '/gateway/deviceInfoService/devices/getListByUser'

/* 查询设备版本*/
var devices = sapURL + '/gateway/deviceInfoService/devices/'

/* 查询台灯实时睡眠报告 */
var realtimeData = sapURL + "/gateway/deskLampReportService/deskLampReport/realtimeData";

/*获取当前设备数据*/
var getState = sapURL + '/gateway/deskLampService/device/getState'

/*根据设备id，用户、设置类型查询台灯设置参数列表*/
var getSettingList = sapURL + '/gateway/deviceInfoService/device/getSettingList';

/*添加用户设置参数列表*/
var saveSettings = sapURL + '/gateway/deviceInfoService/device/saveSettings';

/*修改用户设置参数列表*/
var updateSettings = sapURL + '/gateway/deviceInfoService/device/updateSettings';

/*查询日报告*/
var sleepDayReport = sapURL + '/gateway/deskLampReportService/deskLampReport/sleepDayReport';

/*查询周报告*/
var sleepWeekReport = sapURL + '/gateway/deskLampReportService/deskLampReport/sleepWeekReport';

/*查询月报告*/
var sleepMonthReport = sapURL + '/gateway/deskLampReportService/deskLampReport/sleepMonthReport';

/*获取非查询月的 有数据的最近月份*/
var lastMonth = sapURL + '/gateway/deskLampReportService/deskLampReport/lastMonth';

/*查询月报告*/
var historySleepUrl = sapURL + '/gateway/deskLampService/device/historySleep';

/* 获取设备支持列表接口 */
var getdevicelistUrl = serverUrl + "/getdevicelist.asp";

/* 获取品牌支持列表接口 */
var getbrandlistUrl = serverUrl + "/getbrandlist.asp";

/* 获取型号列表接口 */
var getmodellistUrl = serverUrl + "/getmodellist.asp";

/* 获取遥控器按键列表接口 */
var getKeylistUrl = serverUrl + "/getkeylist.asp";

/* 获取遥控器按键值接口（空调部分） */
var getValuelistairConditionerUrl = serverUrl + "/keyevent.asp";

/* 获取遥控器按键值接口（非空调空调部分） */
var getValuelistNoairConditionerUrl = serverUrl + "/tvkeyevent.asp";

/* 智能匹配接口 */
var getIntelligentMtchUrl = serverUrl + "/getrid.asp"; //目前没用到

// /* 红外设备接口 (同一个接口，不同的请求方式分别有post,get,delete,put)*/
// // var getinfraredDeviceUrl = server +"/infrared/devices";

// 新的红外设备接口
var getinfraredDeviceUrl = sapURL + "/gateway/infraredService/infrared/devices";

/* 设备列表接口 */
var deviceUrl = "gateway/deviceInfoService/devices/getListByUser"; //获取设备列表接口

/* 查询单个报告 */
var  deskLampReportNew = sapURL + '/gateway/deskLampReportService/deskLampReport/'

/* 查询日报告(多个报告) */
var  sleepDayReportNew = sapURL + '/gateway/deskLampReportService/deskLampReport/reports/sleepDayReport'

/* 查询周报告(多个报告) */
var  sleepWeekReportNew = sapURL + '/gateway/deskLampReportService/deskLampReport/reports/sleepWeekReport'

/* 查询月报告(多个报告) */
var  sleepMonthReportNew = sapURL + '/gateway/deskLampReportService/deskLampReport/reports/sleepMonthReport'



/** 获取协议版本 目前返回05 */
function getProtocolVesion() {
	return "05";
}
//灯光控制命令类型:01
function getLightOrderType() {
	return "01";
}
//播放控制命令类型:02
function getPlayOrderType() {
	return "02";
}
//遥控控制命令类型:03
function getRemoteOrderType() {
	return "03";
}
//睡眠检测命令类型:04
function getDetectionSleepType() {
	return "04";
}
